Subject: [Help]: Creating libraries to interface DLLs
From: [email-masked] ("Jonas Nygren")

13 Mar 1997 15:18:07 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <9703131731.AA29511.cygnus.gnu-win32@ehs>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-Msmail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

I need to use DLLs that are not supported by gnu-win32. I have tried to
use MS based libraries together with GCC in gnu-win32 but have
failed to get a running application. Is it possible to generate executables
from a mix of gnu-win32 and MS libraries?

If not, are there any descriptions of how to create your own lib*.a for a
DLL.

I have access to the necessary C header files (*.h) as well as
libraries in MS library and object format. Is it possible to generate
a library in gnu-win32's library format (*.a) from the MS based headers
and libraries.

I have so far scanned the gnu-win32 related pages and mailing list. I found
a reference to windows32api-0.1.2 by Scott Christley. Though, it left out
the
step of how to create libraries.

Any help or pointers are appreciated,

/jonas
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".